Bug 459265 - xmodmap modifications lost upon resume from hibernate
xmodmap modifications lost upon resume from hibernate
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2008-08-15 09:48 EDT by David Juran
Modified: 2008-09-18 11:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-09-18 11:32:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Juran 2008-08-15 09:48:43 EDT
Description of problem:
I use xmodmap to remap the buttons of my mouse and I've noticed that the changes I've done are lost upon resume from hibernate.

Version-Release number of selected component (if applicable):

Steps to Reproduce:
1. xmodmap -e "pointer = 1 8 3 4 5 6 7 2 9 10"
2. hibernate
3. resume
Actual results:
The mouse buttons are back to their default mapping.
Comment 1 Matěj Cepl 2008-09-09 18:02:59 EDT

*** This bug has been marked as a duplicate of bug 439386 ***
Comment 2 Matěj Cepl 2008-09-15 11:46:24 EDT
Are you sure, it is still the problem with the upgraded computer? Looks like duplicate of bug 436692 (yes, of course the previous guess was wrong, I just confused two bugs) and that should be already fixed.
Comment 3 David Juran 2008-09-18 11:32:27 EDT
You're right, works fine now with xorg-x11-server-1.5.0-1.fc9 and xorg-x11-drv-evdev-2.0.4-1.fc9 (-:

Note You need to log in before you can comment on or make changes to this bug.